const request = uni.$u.http

// 获取活动列表
export function getActiveList(data){
	return request.post(
		`v1/activity/activityList`,
		data
	)
}
// 获取活动详情
export function getActiveDetail(data){
	return request.post(
		`v1/activity/activityDetail`,
		data
	)
}
// 点赞
export function kudos(data){
	return request.post(
		`v1/activity/activityLike`,
		data
	)
}
// 获取活动项目列表
export function getActiveProjectList(data){
	return request.post(
		`v1/activity/activityProjectList`,
		data
	)
}
// 获取活动项目详情
export function getActiveProjectDetail(data){
	return request.post(
		`v1/activity/activityProjectDetail`,
		data
	)
}
// 投票
export function vote(data){
	return request.post(
		`v1/activity/vote`,
		data
	)
}
export default {
  getActiveDetail,
  getActiveList,
  kudos,
  getActiveProjectList,
  getActiveProjectDetail,
  vote
}